Installation of elasticsearch has been broken after package update

Created:

2017-06-04 20:40:17 UTC

Modified:

2017-08-16 17:03:14 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Installation of elasticsearch has been broken after package update

Applicable to:

  • Plesk Onyx for Linux

Symptoms

Installation of Elasticsearch has been broken after package update initiated by Plesk.

Cause

Plugin X-Pack for Elasticsearch is not the same version as Elasticsearch itself

Resolution

Plesk updates system package using native yum utility. Plugin X-Pack managed by Elasticsearch tools and should be update using bin/elasticsearch-plugin tool - Upgrading X-Pack

To avoid such behavior in future elasticsearch package can be locked from updating in Home > Tools&Settings > Update and Upgrade Settings in All Packages tab.

Refer the article System Updates for details

Have more questions? Submit a request
Please sign in to leave a comment.